[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[debian-users:24069] Bug#JP/1285: Support for ja_JP.eucJP



 二之宮です。

 Bug#62709 を参考にして ja_JP.eucJP 対応のパッチを作成しました。


diff -ruN xearth-1.1-orig/debian/README.Debian xearth-1.1/debian/README.Debian
--- xearth-1.1-orig/debian/README.Debian	Sat Sep 16 23:50:49 2000
+++ xearth-1.1/debian/README.Debian	Sat Sep 16 23:51:27 2000
@@ -10,7 +10,7 @@
 <kenn@xxxxxxxxxxxxxxxxx>).
 
 * We set already for Japanese settings and for xearth.markerfile.jp in 
-ja_JP.ujis/app-defaults/XEarth
+ja_JP.eucJP/app-defaults/XEarth
 
 XEarth.markerfile: /etc/xearth.markerfile.jp
 
@@ -18,6 +18,6 @@
 XEarth*international:		TRUE
 XEarth*fontSet:		-*-fixed-medium-r-normal--16-*
 
-so if LANG=ja_JP.ujis you can see Japanese version :-)
+so if LANG=ja_JP.eucJP you can see Japanese version :-)
 
  -- Atsuhito Kohda <kohda@xxxxxxxxxxxxxxxxxxxx>, Tue, 22 Feb 2000 09:22:39 +0900
diff -ruN xearth-1.1-orig/debian/dirs xearth-1.1/debian/dirs
--- xearth-1.1-orig/debian/dirs	Sat Sep 16 23:50:49 2000
+++ xearth-1.1/debian/dirs	Sat Sep 16 23:51:45 2000
@@ -1,3 +1,3 @@
 etc
 usr/X11R6/lib/X11/app-defaults
-usr/X11R6/lib/X11/ja_JP.ujis/app-defaults
+usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults
diff -ruN xearth-1.1-orig/debian/postinst xearth-1.1/debian/postinst
--- xearth-1.1-orig/debian/postinst	Thu Jan  1 09:00:00 1970
+++ xearth-1.1/debian/postinst	Sun Sep 17 00:00:25 2000
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    configure)
+
+	if [ ! -L /usr/X11R6/lib/X11/ja_JP.ujis ]
+	then
+	  if [ -d /usr/X11R6/lib/X11/ja_JP.ujis ]
+	  then
+	    cp -a /usr/X11R6/lib/X11/ja_JP.ujis/* /usr/X11R6/lib/X11/ja_JP.eucJP || true
+	    rm -fr /usr/X11R6/lib/X11/ja_JP.ujis
+	  fi
+	  ln -sf ja_JP.eucJP /usr/X11R6/lib/X11/ja_JP.ujis
+	fi
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+
+	echo "postinst called with unknown argument \`$1'"; >&2
+	exit 0
+
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -ruN xearth-1.1-orig/debian/postrm xearth-1.1/debian/postrm
--- xearth-1.1-orig/debian/postrm	Thu Jan  1 09:00:00 1970
+++ xearth-1.1/debian/postrm	Sun Sep 17 00:06:20 2000
@@ -0,0 +1,44 @@
+#! /bin/sh
+# postrm script for x
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/doc/packaging-manual/
+
+case "$1" in
+    remove)
+	
+	if [ ! -d /usr/X11R6/lib/X11/ja_JP.eucJP ]
+	then
+	  rm -f /usr/X11R6/lib/X11/ja_JP.ujis
+	fi
+	;;
+
+    purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+                                # update the menu system
+#        if [ -x /usr/bin/update-menus ]; then update-menus; fi
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
diff -ruN xearth-1.1-orig/debian/rules xearth-1.1/debian/rules
--- xearth-1.1-orig/debian/rules	Sat Sep 16 23:50:49 2000
+++ xearth-1.1/debian/rules	Sat Sep 16 23:53:05 2000
@@ -46,7 +46,7 @@
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp INSTDATFLAGS="-m 0644"
 	make install.man DESTDIR=`pwd`/debian/tmp INSTMANFLAGS="-m 0644"
 	install -m 644 debian/XEarth.ad.jp \
-	   `pwd`/debian/tmp/usr/X11R6/lib/X11/ja_JP.ujis/app-defaults/XEarth
+	   `pwd`/debian/tmp/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults/XEarth
 	install -m 644 debian/XEarth.ad \
 	   `pwd`/debian/tmp/usr/X11R6/lib/X11/app-defaults/XEarth
 	install -m 644 debian/xearth.markers `pwd`/debian/tmp/etc


--------------------------------
Yuuki NINOMIYA <gm@debian.or.jp>
http://www.enjoy.ne.jp/~gm/